using Modules.User.Domain.Entities.User;
using Modules.User.Domain.ValueObjects;

namespace Modules.User.Domain.Factories;

public static class BanFactory
{
    public static Ban Load(Guid id, string reason, DateTime creationDate, DateTime? releaseDate, Guid issuerId)
    {
        var ban = new Ban(id, reason, creationDate, issuerId);
        ban.SetReleaseDate(releaseDate);
        return ban;
    }
}